org.apache.maven.scm.command.changelog

## Class ChangeLogScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.changelog.ChangeLogScmResult

All Implemented Interfaces:
  Serializable

    public class ChangeLogScmResult
    extends ScmResult

Version:
  $Id: ChangeLogScmResult.java 483105 2006-12-06 15:07:54Z evenisse $
Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ChangeLogScmResult(ChangeLogSet changeLog, ScmResult result)`
`ChangeLogScmResult(String commandLine, ChangeLogSet changeLog)`
`ChangeLogScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

Methods
`ChangeLogSet` `getChangeLog()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChangeLogScmResult

    public ChangeLogScmResult(String commandLine,
                      String providerMessage,
                      String commandOutput,
                      boolean success)

#### ChangeLogScmResult

    public ChangeLogScmResult(String commandLine,
                      ChangeLogSet changeLog)

#### ChangeLogScmResult

    public ChangeLogScmResult(ChangeLogSet changeLog,
                      ScmResult result)

### Method Detail

#### getChangeLog

    public ChangeLogSet getChangeLog()